<%--
前処理スクリプトＨＴＭＬ共通処理
--%>
<%@ page contentType="text/html; charset=shift_jis" pageEncoding="shift_jis"%>
<%@ page import="jp.co.ntt.lms.lo.scorm.util.SG"%>
<%@ page import="jp.co.ntt.lms.imode.common.MobConst"%>
<%@ page import="jp.co.ntt.lms.imode.common.ComHtmlConv"%>
<%@ page import="jp.co.ntt.lms.imode.common.MobileUtl"%>
<%@ page import="jp.co.ntt.lms.imode.extension.PageSequence"%>


<%
// セッションから頁ＳＥＱ管理クラス取得
PageSequence pageSeq = (PageSequence)session.getAttribute("MOBILE.PAGE_SEQ");
if (pageSeq == null) {
    // タイムアウト画面へ移動
    pageContext.forward(MobConst.C_TIMEOUT_URI);
    return;
}

// リクエストから前処理ＵＲＬ取得
String dispFile = (String)request.getAttribute("MOBILE.DISP.URL");

// 前処理ＵＲＬファイル入力
String htmlbuf = MobileUtl.readFile(dispFile);

if (htmlbuf == null) {
    // 前処理スクリプトＵＲＬで指定されたファイルが存在しない
    pageContext.forward(MobConst.C_TIMEOUT_URI);
    return;
}

// タグ変換クラス
ComHtmlConv tagconv = new ComHtmlConv();
tagconv.setJsession_id(session.getId());
tagconv.setPage_no(pageSeq.current());
tagconv.setHtml_data(htmlbuf);
String afterHtml = tagconv.convHtml();
out.print(afterHtml);

%>
